Skip to content
LydieDevelopers
Menu

Get a page's sharing settings

View as Markdown
GET/v1/documents/{documentId}/sharing
docs:readRead-only
Request
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/sharing" \
  -H "Authorization: Bearer $LYDIE_TOKEN"

Path parameters

Response

200
{
  "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
  "myLevel": "view",
  "restricted": false,
  "teamspaceId": null,
  "privateOwnerId": null,
  "grants": [
    {
      "id": "string",
      "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "principalType": "user",
      "principalId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "level": "view",
      "createdBy": null,
      "createdAt": "2026-11-12T09:30:00.000Z"
    }
  ],
  "inherited": [
    {
      "documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
      "title": "Meeting notes",
      "grants": [
        {
          "id": null,
          "documentId": null,
          "principalType": "user",
          "principalId": null,
          "level": "view",
          "createdBy": null,
          "createdAt": "2026-11-12T09:30:00.000Z"
        }
      ]
    }
  ],
  "people": [
    {
      "userId": "kG7qL2m9XzP4tR8w",
      "name": "Notes",
      "email": "ada@example.com",
      "level": "view"
    }
  ]
}

Errors use one envelope for every endpoint. See Errors and versions.